Bug 62212 - Recorder : Improve UX by providing a popup above all windows to be able to change Transaction names and pauses while using Browser
Summary: Recorder : Improve UX by providing a popup above all windows to be able to ch...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: 4.0
Hardware: All All
: P2 enhancement (vote)
Target Milestone: JMETER_5.0
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2018-03-22 11:35 UTC by UbikLoadPack support
Modified: 2018-07-08 16:07 UTC (History)
1 user (show)



Attachments
Patch implementing the feature (12.76 KB, patch)
2018-03-22 12:06 UTC, UbikLoadPack support
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description UbikLoadPack support 2018-03-22 11:35:27 UTC
Hello,
Today, the recording experience with JMeter is not as ergonomic as it should be.

The possibility to name transactions was a great benefit, but when recording you constantly switch between:

- JMeter View Results Tree under Recorder
- JMeter Recorder to name transactions.
- Browser 
- And sometimes Recording Controllr


We propose to:
- create a little dialog that will always be on top of all windows and will allow user to enter Transaction Name, Pause between samplers and Naming mode (Prefix / Transaction Name)
- This popup will be opened when Recorder is started
- This popup will be closed when Recorder is stopped

As a future enhancement, start/stop could be integrated.

We'll propose a patch for this.
Comment 1 UbikLoadPack support 2018-03-22 12:06:38 UTC
Created attachment 35803 [details]
Patch implementing the feature
Comment 2 Philippe Mouawad 2018-03-22 12:10:19 UTC
Author: pmouawad
Date: Thu Mar 22 12:10:01 2018
New Revision: 1827481

URL: http://svn.apache.org/viewvc?rev=1827481&view=rev
Log:
Bug 62212 - Recorder : Improve UX by providing a popup above all windows to be able to change Transaction names and pauses while using Browser
Contributed by UbikLoadPack
Bugzilla Id: 62212

Added:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/RecorderDialog.java   (with props)
Modified:
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java
    jmeter/trunk/xdocs/changes.xml
Comment 3 Philippe Mouawad 2018-03-22 18:16:38 UTC
Author: pmouawad
Date: Thu Mar 22 18:16:07 2018
New Revision: 1827519

URL: http://svn.apache.org/viewvc?rev=1827519&view=rev
Log:
Bug 62212 - Recorder : Improve UX by providing a popup above all windows to be able to change Transaction names and pauses while using Browser
Fix some bugs
Improve a bit architecture
Bugzilla Id: 62212

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/RecorderDialog.java
Comment 4 Philippe Mouawad 2018-07-05 20:35:02 UTC
Author: pmouawad
Date: Thu Jul  5 20:34:29 2018
New Revision: 1835187

URL: http://svn.apache.org/viewvc?rev=1835187&view=rev
Log:
Bug 62212 : Recorder : Improve UX by providing a popup above all windows to be able to change Transaction names and pauses while using Browser

Add a stop button to popup
Make dialog automatically disappear after 7 seconds
Bugzilla Id: 62212

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/RecorderDialog.java
Comment 5 Philippe Mouawad 2018-07-08 16:07:27 UTC
Author: pmouawad
Date: Sun Jul  8 16:06:42 2018
New Revision: 1835363

URL: http://svn.apache.org/viewvc?rev=1835363&view=rev
Log:
Bug 62212 : Recorder : Improve UX by providing a popup above all windows to be able to change Transaction names and pauses while using Browser

Fix NPE if user closes the intermediate dialog that automatically disappears after 7 seconds
Bugzilla Id: 62212

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/gui/ProxyControlGui.java